// import 'package:firebase_auth/firebase_auth.dart' as fb;
// import 'package:flutter/cupertino.dart';
// import 'package:flutter/material.dart';
// import 'package:flutter_facebook_login/flutter_facebook_login.dart';
// import 'package:logging/logging.dart';
//
// import 'login_provider.dart';
//
// class FacebookLoginProvider extends LoginProvider {
//   const FacebookLoginProvider();
//
//   final String name = "facebook";
//   static final _log = Logger("facebookLoginHandler");
//   static final fbLogin = FacebookLogin()
//     ..loginBehavior = FacebookLoginBehavior.nativeWithFallback;
//
//   @override
//   Future<AuthResponse> doAttemptLogin(BuildContext context) async {
//     try {
//       try {
//         final result = await fbLogin.logIn(['email']);
//         switch (result.status) {
//           case FacebookLoginStatus.loggedIn:
//             var fbCred =
//                 fb.FacebookAuthProvider.credential(result.accessToken.token);
//
//             return AuthResponse.success(fbCred);
//           case FacebookLoginStatus.cancelledByUser:
//             return AuthResponse.cancelled();
//           case FacebookLoginStatus.error:
//             _log.severe("Error ${result.errorMessage}");
//             return AuthResponse.error(result.errorMessage);
//         }
//         return AuthResponse.cancelled();
//       } catch (e, stack) {
//         _log.severe(e, stack);
//         return AuthResponse.error(e);
//       }
//     } catch (e, stack) {
//       _log.severe(e, stack);
//       return AuthResponse.error("There was an error logging you in");
//     }
//   }
//
//   @override
//   Future signOut() async {
//     /// Managed by firebase, nothing extra to do
//   }
// }
